﻿using Microsoft.EntityFrameworkCore;
using Abp.Zero.EntityFrameworkCore;
using MineTec.ProManager.Authorization.Roles;
using MineTec.ProManager.Authorization.Users;
using MineTec.ProManager.MultiTenancy;
using MineTec.ProManager.Entitys;

namespace MineTec.ProManager.EntityFrameworkCore
{
    public class ProManagerDbContext : AbpZeroDbContext<Tenant, Role, User, ProManagerDbContext>
    {
        /* Define a DbSet for each entity of the application */

        public ProManagerDbContext(DbContextOptions<ProManagerDbContext> options)
            : base(options)
        {
        }

        public DbSet<UserInfo> UserInfo { get; set; }
    }
}
